package com.xsnb.system.service;

import com.xsnb.common.domain.User;
import com.xsnb.common.result.Result;
import com.xsnb.system.domain.Mail;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;

/**
 * FileName: MailService
 * Author: 张海宁
 * Date:   2024/3/4 14:18
 * Description:
 * History:
 * <author>      <time>     <version>     <desc>
 * 作者姓名       修改时间      版本号         描述
 */
public interface MailService {

    Result<List<Mail>> allListMail(User user);

    Result deleteMail(Long[] delId);

    Result<Mail> addMail(Mail mail);

    /**
     * 修改为已读
     * @param mail
     * @return
     */
    Result reading(Mail mail);

    Result addAttachment(Mail mail, MultipartFile file);

    Result copyMail(Mail mail);
}
