package com.xsnb.system.service.impl;


import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.xsnb.common.domain.User;
import com.xsnb.common.result.Result;
import com.xsnb.system.mapper.UserMapper;
import com.xsnb.system.service.UserService;
import lombok.extern.log4j.Log4j2;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.redis.core.RedisTemplate;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
@Log4j2
public class UserServiceImpl implements UserService {
    @Autowired
    UserMapper userMapper;

    @Autowired
    RedisTemplate redisTemplate;

    @Override
    public Result<User> byphone(String phone) {
        QueryWrapper<User> queryWrapper = new QueryWrapper<>();
        queryWrapper.eq("phone",phone);
        User user = userMapper.selectOne(queryWrapper);
        return Result.success(user);
    }

    /**
     * @param user
     * @return
     */
    @Override
    public Result<List<User>> list(User user) {
        List<User> list = userMapper.selectList(null);
        return Result.success(list);
    }


/*    public User getUser() {



       *//* HttpServletRequest request=null;
        String token = request.getHeader(TokenConstants.TOKEN);
        String userKey = JwtUtils.getUserKey(token);
        String s= (String) redisTemplate.opsForValue().get(TokenConstants.LOGIN_TOKEN_KEY + userKey);
        User user = JSONObject.parseObject(s, User.class);
        *//**//*获取用户信息*//**//*
       log.info("userInfo获取的用户信息是:{}", user);*//*
      return user;

    }*/



}
