package com.xsnb.common.domain;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.ToString;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;

@Data
@AllArgsConstructor
@NoArgsConstructor
@ToString
@XmlRootElement(name = "xml")
@XmlAccessorType(XmlAccessType.FIELD)
public class XmlData {

    @XmlElement(name = "ToUserName", required = false)
    private String toUserName;

    @XmlElement(name = "FromUserName", required = false)
    private String fromUserName;

    @XmlElement(name = "CreateTime", required = false)
    private long createTime;

    @XmlElement(name = "MsgType", required = false)
    private String msgType;

    @XmlElement(name = "Event", required = false)
    private String event;

    @XmlElement(name = "EventKey", required = false)
    private String eventKey;
    @XmlElement(name = "Ticket", required = false)
    private String ticket;
}
